package com.oqpo.api.web.dto.response.session;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.oper.MemberEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class GetKeyNumResponse {

    @ApiModelProperty(value = "키")
    private String keyData;


    public static GetKeyNumResponse toDTO(String  keyNum) {
        if (keyNum == null) return null;
        return GetKeyNumResponse.builder()
                .keyData(keyNum)
                .build();
    }
}
